#ifndef __HEADER_TEXTVIEW_
#define __HEADER_TEXTVIEW_

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
class TextView
{
public:
	TextView(std::string filename="");
	virtual ~TextView();

	void ContainerAdd(GtkContainer *);

	GtkTextBuffer *GetTextBuffer();
	GtkTextView *GetTextView();

	int LoadFile(std::string filename);


	static gboolean FindLinkSeparator(gunichar ch, gpointer user_data);

	void SetFontString(std::string fontName);
	std::string GetFontString();

	static gboolean TextViewMotionNotify(GtkWidget *textview, GdkEventMotion *event, gpointer d);

	void FixLinks();

	static gboolean ActivateUrl(GtkTextTag *tag, __attribute__((unused))GObject *arg1, GdkEvent *event, GtkTextIter *arg2, __attribute__((unused))gpointer d);


protected:

	GtkTextTag *link[100];


	GtkWidget *textview;
	GtkTextBuffer *textBuffer;


//	extern GtkTextTagTable *tagTable;

	std::string m_FontString;



	//char *text;

};

#endif
