/* -----------------------------------------------------------------------------
	viewText -- a GTK+ based, lightweight, and fast textviewer
	Copyright (C) 2008 Andreas Rönnquist

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
--------------------------------------------------------------------------------
	Program.cpp
		Creates the toolbar

----------------------------------------------------------------------------- */
#include <string>
#include <sstream>

#include "Program.h"

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
std::string Program::ProgramName="viewText";

std::string Program::VersionString="0.01";

std::string Program::StandardText="";

/* -----------------------------------------------------------------------------

----------------------------------------------------------------------------- */
void Program::InitProgramStuff()
{
	std::stringstream st;

	st << "Welcome to " << ProgramName << " v" << VersionString;

	StandardText=st.str();
}
